\babeltags{en = english, fr = french}

\theoremstyle{plain}
\newtheorem{theoreme}{Théorème}
\newtheorem{proposition}{Proposition}
\newtheorem{corollaire}{Corollaire}
\newtheorem{lemme}{Lemme}

\theoremstyle{definition}
\newtheorem{definition}{Définition}
\newtheorem{rappel}{Rappel}

\theoremstyle{remark}
\newtheorem{remarque}{Remarque}
\newtheorem{exemple}{Exemple}
\newtheorem*{notation}{Notation}

\newcommand*{\mdate}[3]{%
	\marginpar{\frenchdate{#1}{#2}{#3}}%
}
\newcommand*{\term}[1]{\emph{#1}}

\newcommand*{\tq}{:}
\newcommand*{\from}{\colon}
\newcommand*{\diffsym}{\bigtriangleup}
\newcommand*{\card}[1]{\lvert#1\rvert}
\newcommand*{\abs}[1]{\lvert#1\rvert}
\newcommand*{\norme}[1]{\lVert#1\rVert}
\newcommand*{\conj}{\overline}
\newcommand*{\pdscl}[2]{\langle#1,#2\rangle}
\newcommand*{\gener}[1]{\langle#1\rangle}
\newcommand*{\bord}{\partial}
\newcommand*{\limdir}{\lim}
\newcommand*{\pdlibre}{\ast}
\newcommand*{\PP}{\mathbb{P}}
\newcommand*{\sachant}{\mid}
\newcommand*{\Sommets}{V}
\newcommand*{\Aretes}{E}
\newcommand*{\AretesOrient}{\mathbb{E}}
\newcommand*{\Algebre}{\mathcal{A}}
\newcommand*{\Green}{G}
\newcommand*{\rayonspec}{\rho}
\newcommand*{\ldeux}{\ell^{2}}
\newcommand*{\Markov}{M}  % meilleur M
\newcommand*{\opbornes}{\mathcal{B}}
\newcommand*{\diff}{d}
\newcommand*{\diffstar}{\diff^{*}}
\newcommand*{\Laplace}{\Delta}
\newcommand*{\carac}{\chi}
\newcommand*{\restrict}{\rvert}
\newcommand*{\bigU}{U}
\newcommand*{\bigF}{F_{-}}

\newcommand*{\NN}{\mathbb{N}}
\newcommand*{\ZZ}{\mathbb{Z}}
\newcommand*{\RR}{\mathbb{R}}
\newcommand*{\CC}{\mathbb{C}}

\newcommand*{\lamp}{\mathcal{L}}
\newcommand*{\arbrebin}{T_{2}}

\DeclareMathOperator{\F}{F}
\DeclareMathOperator{\Sym}{S}
\DeclareMathOperator{\SO}{SO}
\DeclareMathOperator{\BS}{BS}
\DeclareMathOperator{\Burn}{B}
\DeclareMathOperator{\C}{C}
\DeclareMathOperator{\Cyl}{Cyl}

\DeclareMathOperator{\parties}{\mathcal{P}}
\DeclareMathOperator{\Vol}{Vol}
\DeclareMathOperator{\Cay}{Cay}
\DeclareMathOperator{\Isom}{Isom}
\DeclareMathOperator{\Aut}{Aut}
\DeclareMathOperator{\Deg}{deg}
\DeclareMathOperator{\Supp}{Supp}
\DeclareMathOperator{\Sp}{Sp}
\DeclareMathOperator{\Star}{Star}

\newcommand*{\EG}{\mathsf{EG}}
\newcommand*{\AG}{\mathsf{AG}}
\newcommand*{\NF}{\mathsf{NF}}

\newcommand*{\isomorphe}{\cong}
\newcommand*{\sousgroupe}{\le}
\newcommand*{\surgroupe}{\ge}
\newcommand*{\sousgrpnorm}{\trianglelefteq}
\newcommand*{\surgrpnorm} {\trianglerighteq}

\newcommand*{\sommedirecte}{\oplus}
\newcommand*{\bigsommedirecte}{\bigoplus}
\newcommand*{\soussemidirect}{\rtimes}
\newcommand*{\sursemidirect}{\ltimes}
\newcommand*{\couronne}{\wr}

\newcommand*{\equidec}[1][]{\sim_{#1}}
\newcommand*{\sousdec}[1][]{\lesssim_{#1}}
\newcommand*{\surdec} [1][]{\gtrsim_{#1}}
